=== debian/changelog ===
diodon (1.6.0-1ubuntu1) artful; urgency=medium

  * Merge from Debian unstable (LP: #1563435).  Remaining changes:
    - debian/{control, unity*, rules}:
      + Add Unity Scope plugin. 

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 02 Sep 2017 17:23:34 +0200

diodon (1.6.0-1) unstable; urgency=medium

  * New upstream release 1.6.0 (Closes: #824965)
  * Remove usage of dbus-launch (Closes: #823055, #836087)
  * Remove dependency libunique3 (Closes: #827235)
  * Added DEB_BUILD_OPTIONS support
  * Fixed dep5-copyright-license-name-not-unique

 -- Oliver Sauder <os@esite.ch>  Sat, 19 Aug 2017 17:03:59 +0200
