=== debian/control ===
Source: diodon
Section: utils
Priority: optional
Maintainer: Oliver Sauder <os@esite.ch>
Build-Depends: cdbs (>= 0.4.90),
               debhelper (>= 9),
               gobject-introspection,
               intltool,
               libappindicator3-dev (>= 0.3.0),
               libgee-0.8-dev (>= 0.10.5),
               libglib2.0-dev (>=2.32),
               libgtk-3-dev (>=3.0.8),
               libpeas-dev (>=1.1.1),
               libunity-dev (>= 5.8.0),
               libxtst-dev (>= 1.2.0),
               libzeitgeist-2.0-dev (>= 0.9.14),
               python,
               valac (>=0.26.0),
               xvfb
Standards-Version: 3.9.8
Homepage: https://launchpad.net/diodon

Package: diodon
Architecture: any
Depends: libdiodon0 (= ${binary:Version}),
         zeitgeist-core (>= 0.9.14),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: unity-scope-diodon (= ${binary:Version})
Description: GTK+ Clipboard manager
 Diodon is a lightweight clipboard manager for Linux written in Vala which
 "aims to be the best integrated clipboard manager for the Gnome/Unity desktop".
 .
 Diodon features include Ubuntu indicator, clipboard sync (primary selection
 and Ctrl+C / Ctrl+V clipboard) and a zeitgeist integration for an infinite
 clipboard history.

Package: libdiodon0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: GTK+ Clipboard manager (main library)
 Diodon is a lightweight clipboard manager for Linux written in Vala which
 "aims to be the best integrated clipboard manager for the Gnome/Unity desktop".
 .
 Diodon features include Ubuntu indicator, clipboard sync (primary selection
 and Ctrl+C / Ctrl+V clipboard) and a zeitgeist integration for an infinite
 clipboard history.
 .
 This package contains the main library used by the Diodon. It is used both by
 the clipboard manager itself and by the plugins.
 .
 This library is only useful within Diodon. You should not have to
 manually install this package.

Package: gir1.2-diodon-1.0
Architecture: any
Multi-Arch: same
Section: introspection
Depends: gir1.2-gee-0.8 (>= 0.10.5),
         gir1.2-glib-2.0,
         ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: GTK+ Clipboard manager (GObject introspection data)
 Diodon is a lightweight clipboard manager for Linux written in Vala which
 "aims to be the best integrated clipboard manager for the Gnome/Unity desktop".
 .
 Diodon features include Ubuntu indicator, clipboard sync (primary selection
 and Ctrl+C / Ctrl+V clipboard) and a zeitgeist integration for an infinite
 clipboard history.
 .
 This package contains introspection data for Diodon.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: diodon-dev
Architecture: any
Section: devel
Depends: gir1.2-diodon-1.0 (= ${binary:Version}),
         libdiodon0 (= ${binary:Version}),
         libgee-0.8-dev (>= 0.10.5),
         libpeas-dev (>=1.1.1),
         ${misc:Depends}
Description: GTK+ Clipboard manager (development files)
 Diodon is a lightweight clipboard manager for Linux written in Vala which
 "aims to be the best integrated clipboard manager for the Gnome/Unity desktop".
 .
 Diodon features include Ubuntu indicator, clipboard sync (primary selection
 and Ctrl+C / Ctrl+V clipboard) and a zeitgeist integration for an infinite
 clipboard history.
 .
 Diodon is also extensible through its plugin system.
 .
 This package is required to build plugins for Diodon.

Package: unity-scope-diodon
Architecture: any
Depends: diodon (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: GTK+ Clipboard manager (Unity Scope)
 Diodon is a lightweight clipboard manager for Linux written in Vala which
 "aims to be the best integrated clipboard manager for the Gnome/Unity desktop".
 .
 Diodon features include Ubuntu indicator, clipboard sync (primary selection
 and Ctrl+C / Ctrl+V clipboard) and a zeitgeist integration for an infinite
 clipboard history.
 .
 This package contains an Unity Scope to access the clipboard history.
