## diodon 1.8.0

=== wscript ===
--- 
+++ 
@@ -17,10 +17,10 @@
 from waflib.Tools import waf_unit_test
 
 NAME = 'Diodon'
-VERSION = '1.6.0'
+VERSION = '1.8.0'
 APPNAME = 'diodon'
 WEBSITE = 'https://launchpad.net/diodon'
-COPYRIGHT = 'Copyright \xc2\xa9 2010-2014 Diodon Team'
+COPYRIGHT = 'Copyright \xc2\xa9 2010-2018 Diodon Team'
 BUSNAME = 'net.launchpad.Diodon'
 BUSOBJECTPATH = '/net/launchpad/diodon'
 
@@ -56,11 +56,10 @@
         conf.load('valadoc')
 
     conf.load('vala', funs='')
-    conf.check_vala(min_version=(0, 26, 0))
+    conf.check_vala(min_version=(0, 30, 0))
 
     conf.check_cfg(package='gdk-3.0',           uselib_store='GDK',          atleast_version='3.0.8',  mandatory=1, args='--cflags --libs')
     conf.check_cfg(package='gdk-x11-3.0',       uselib_store='GDKX',         atleast_version='3.0.8',  mandatory=1, args='--cflags --libs')
-    conf.check_cfg(package='gee-0.8',           uselib_store='GEE',          atleast_version='0.10.5',  mandatory=1, args='--cflags --libs')
     conf.check_cfg(package='libpeas-1.0',       uselib_store='PEAS',         atleast_version='1.1.0',  mandatory=1, args='--cflags --libs')
     conf.check_cfg(package='libpeas-gtk-1.0',   uselib_store='PEASGTK',      atleast_version='1.1.0',  mandatory=1, args='--cflags --libs')
     conf.check_cfg(package='gio-2.0',           uselib_store='GIO',          atleast_version='2.32.0', mandatory=1, args='--cflags --libs')
