=== debian/changelog ===
diodon (1.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove gee dependency (LP: #1745877)
  * Add support for valac 0.40 (Closes: #891628)
  * Set Section of libdiodon to libs
  * Set Section of diodon-dev to libdevel
  * Bump Standard Version to 4.1.3
  * Fix debian-watch-uses-insecure-uri
  * Use compat version 11

 -- Oliver Sauder <os@esite.ch>  Sun, 11 Mar 2018 20:37:08 +0100

diodon (1.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Add initial Wayland support (LP: #1727042)
  * Workaround for hotkey not working on various DEs (LP: #1630375)
  * Support instante paste on XFCE4 Terminal (LP: #1707041)
  * Move from cdbs to dh calls
  * Bump Standard Version to 4.1.2
  * Use compat version 10

 -- Oliver Sauder <os@esite.ch>  Sat, 16 Dec 2017 19:39:18 +0100
