=== debian/control ===
--- 
+++ 
@@ -2,23 +2,21 @@
 Section: utils
 Priority: optional
 Maintainer: Oliver Sauder <os@esite.ch>
-Build-Depends: cdbs (>= 0.4.90),
-               debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                gobject-introspection,
                intltool,
                libappindicator3-dev (>= 0.3.0),
-               libgee-0.8-dev (>= 0.10.5),
                libglib2.0-dev (>=2.32),
                libgtk-3-dev (>=3.0.8),
                libpeas-dev (>=1.1.1),
-               libunity-dev (>= 5.8.0),
                libxtst-dev (>= 1.2.0),
                libzeitgeist-2.0-dev (>= 0.9.14),
                python,
                valac (>=0.26.0),
                xvfb
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: https://launchpad.net/diodon
+Vcs-Bzr: https://code.launchpad.net/~diodon-team/diodon/debian-packaging
 
 Package: diodon
 Architecture: any
@@ -26,7 +24,6 @@
          zeitgeist-core (>= 0.9.14),
          ${misc:Depends},
          ${shlibs:Depends}
-Suggests: unity-scope-diodon (= ${binary:Version})
 Description: GTK+ Clipboard manager
  Diodon is a lightweight clipboard manager for Linux written in Vala which
  "aims to be the best integrated clipboard manager for the Gnome/Unity desktop".
@@ -38,6 +35,7 @@
 Package: libdiodon0
 Architecture: any
 Multi-Arch: same
+Section: libs
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: GTK+ Clipboard manager (main library)
@@ -58,8 +56,7 @@
 Architecture: any
 Multi-Arch: same
 Section: introspection
-Depends: gir1.2-gee-0.8 (>= 0.10.5),
-         gir1.2-glib-2.0,
+Depends: gir1.2-glib-2.0,
          ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
@@ -78,10 +75,9 @@
 
 Package: diodon-dev
 Architecture: any
-Section: devel
+Section: libdevel
 Depends: gir1.2-diodon-1.0 (= ${binary:Version}),
          libdiodon0 (= ${binary:Version}),
-         libgee-0.8-dev (>= 0.10.5),
          libpeas-dev (>=1.1.1),
          ${misc:Depends}
 Description: GTK+ Clipboard manager (development files)
@@ -96,17 +92,3 @@
  .
  This package is required to build plugins for Diodon.
 
-Package: unity-scope-diodon
-Architecture: any
-Depends: diodon (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: GTK+ Clipboard manager (Unity Scope)
- Diodon is a lightweight clipboard manager for Linux written in Vala which
- "aims to be the best integrated clipboard manager for the Gnome/Unity desktop".
- .
- Diodon features include Ubuntu indicator, clipboard sync (primary selection
- and Ctrl+C / Ctrl+V clipboard) and a zeitgeist integration for an infinite
- clipboard history.
- .
- This package contains an Unity Scope to access the clipboard history.
