=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

WAFFLAGS := --nocache --prefix=/usr
ifneq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	WAFFLAGS += --skiptests
endif

%:
	dh $@ --with python2

WAF=./waf

override_dh_auto_clean:
	$(WAF) distclean $(WAFFLAGS)
	rm -rf _build_
	find -name '*.pyc' -delete

override_dh_auto_configure:
	$(WAF) configure $(WAFFLAGS) --sysconfdir /etc --libdir /usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_build:
	$(WAF) build $(WAFFLAGS)

override_dh_auto_install:
	$(WAF) install $(WAFFLAGS) --destdir debian/tmp
