## diodon 1.9.0

=== debian/changelog ===
diodon (1.9.0-1) unstable; urgency=medium

  * New upstream release.
  * Add support for valac 0.46 (Closes: #951924)
  * Replace waf with meson as build system (Closes: #936399, #943038)
  * Change Vcs to git
  * Update minimum build dependency versions
  * Bump Standard Version to 4.4.0

 -- Oliver Sauder <os@esite.ch>  Tue, 25 Feb 2020 20:01:12 +0400
