=== debian/control ===
--- 
+++ 
@@ -3,18 +3,19 @@
 Priority: optional
 Maintainer: Oliver Sauder <os@esite.ch>
 Build-Depends: debhelper (>= 11),
+               desktop-file-utils,
                gobject-introspection,
-               intltool,
                libappindicator3-dev (>= 0.3.0),
-               libglib2.0-dev (>=2.32),
-               libgtk-3-dev (>=3.0.8),
+               libglib2.0-dev (>=2.46),
+               libgtk-3-dev (>=3.10),
                libpeas-dev (>=1.1.1),
                libxtst-dev (>= 1.2.0),
                libzeitgeist-2.0-dev (>= 0.9.14),
-               python,
-               valac (>=0.26.0),
+               meson (>= 0.45),
+               valac (>=0.40.0),
+               xauth,
                xvfb
-Standards-Version: 4.1.3
+Standards-Version: 4.4.0
 Homepage: https://launchpad.net/diodon
 Vcs-Bzr: https://code.launchpad.net/~diodon-team/diodon/debian-packaging
 
@@ -91,4 +92,3 @@
  Diodon is also extensible through its plugin system.
  .
  This package is required to build plugins for Diodon.
-
