## diodon 1.10.0

=== debian/changelog ===
diodon (1.10.0-1) unstable; urgency=medium

  * New upstream release.
  * Switch to Ayatana AppIndicator (Closes: #956764)
  * Remove CPU intensive timer when using primary selection (Closes: #956008)
  * Update translations
  * Replace Vcs-Bzr link with Vcs-Git
  * Update minimum build dependency version of libgtk
  * Bump Standard Version to 4.5.0

 -- Oliver Sauder <os@esite.ch>  Wed, 03 Jun 2020 16:57:13 +0200
