=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Build-Depends: debhelper (>= 11),
                desktop-file-utils,
                gobject-introspection,
-               libappindicator3-dev (>= 0.3.0),
+               libayatana-appindicator3-dev (>=0.5.3),
                libglib2.0-dev (>=2.46),
-               libgtk-3-dev (>=3.10),
+               libgtk-3-dev (>=3.22),
                libpeas-dev (>=1.1.1),
                libxtst-dev (>= 1.2.0),
                libzeitgeist-2.0-dev (>= 0.9.14),
@@ -15,9 +15,9 @@
                valac (>=0.40.0),
                xauth,
                xvfb
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://launchpad.net/diodon
-Vcs-Bzr: https://code.launchpad.net/~diodon-team/diodon/debian-packaging
+Vcs-Git: https://git.launchpad.net/~diodon-team/+git/debian-packaging
 
 Package: diodon
 Architecture: any
