## diodon 1.11.0

=== meson_options.txt ===
option('disable-indicator-plugin', type : 'boolean', value : false, description : 'Disable build of indicator plugin')
option('enable-unity-scope', type : 'boolean', value : false, description : 'Disable build of indicator plugin')
