=== debian/changelog ===
diodon (1.11.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Add Vcs-Browser link
  * Set Multi-Arch of package diodon-dev to same

 -- Oliver Sauder <os@esite.ch>  Mon, 05 Oct 2020 16:32:21 +0200
