=== debian/control ===
--- 
+++ 
@@ -2,22 +2,23 @@
 Section: utils
 Priority: optional
 Maintainer: Oliver Sauder <os@esite.ch>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                desktop-file-utils,
                gobject-introspection,
-               libayatana-appindicator3-dev (>=0.5.3),
-               libglib2.0-dev (>=2.46),
-               libgtk-3-dev (>=3.22),
-               libpeas-dev (>=1.1.1),
+               libayatana-appindicator3-dev (>= 0.5.3),
+               libglib2.0-dev (>= 2.46),
+               libgtk-3-dev (>= 3.22),
+               libpeas-dev (>= 1.1.1),
                libxtst-dev (>= 1.2.0),
                libzeitgeist-2.0-dev (>= 0.9.14),
                meson (>= 0.45),
-               valac (>=0.40.0),
+               valac (>= 0.40.0),
                xauth,
                xvfb
 Standards-Version: 4.5.0
 Homepage: https://launchpad.net/diodon
 Vcs-Git: https://git.launchpad.net/~diodon-team/+git/debian-packaging
+Vcs-Browser: https://git.launchpad.net/~diodon-team/+git/debian-packaging
 
 Package: diodon
 Architecture: any
@@ -76,6 +77,7 @@
 
 Package: diodon-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: gir1.2-diodon-1.0 (= ${binary:Version}),
          libdiodon0 (= ${binary:Version}),
