## diodon 1.11.1

=== debian/changelog ===
diodon (1.11.1-1) unstable; urgency=medium

  * New upstream release.
  * Removed obsolete apport configuration files (Closes: #990435)
  * Properly handled previously renamed autostart config file (Closes: 990137)
  * Use dh gir addon to properly calcuate gir:Depends (Closes: 991081)
  * Bump Standard Version to 4.5.1

 -- Oliver Sauder <os@esite.ch>  Fri, 23 Jul 2021 22:00:54 +0400
