=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                valac (>= 0.40.0),
                xauth,
                xvfb
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://launchpad.net/diodon
 Vcs-Git: https://git.launchpad.net/~diodon-team/+git/debian-packaging
 Vcs-Browser: https://git.launchpad.net/~diodon-team/+git/debian-packaging
@@ -58,7 +58,7 @@
 Architecture: any
 Multi-Arch: same
 Section: introspection
-Depends: gir1.2-glib-2.0,
+Depends: libdiodon0 (= ${binary:Version}),
          ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
