## diodon 1.11.2

=== debian/changelog ===
diodon (1.11.2-1) unstable; urgency=medium

  * New upstream release.
  * Fix custom-library-search-path
  * Removed invalid configure.in file (Closes: #997655)
  * Bump Standard-Version to 4.6.0

 -- Oliver Sauder <os@esite.ch>  Thu, 04 Nov 2021 22:46:18 +0400
