## diodon 1.12.0

=== debian/changelog ===
diodon (1.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Avoid history being empty on first run (Closes: #961604)

 -- Oliver Sauder <os@esite.ch>  Thu, 03 Feb 2022 16:05:31 +0400
