=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                valac (>= 0.40.0),
                xauth,
                xvfb
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://launchpad.net/diodon
 Vcs-Git: https://git.launchpad.net/~diodon-team/+git/debian-packaging
 Vcs-Browser: https://git.launchpad.net/~diodon-team/+git/debian-packaging
