## diodon 1.13.0

=== debian/changelog ===
diodon (1.13.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:03:10 +0000

diodon (1.13.0-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:13:57 +0000

diodon (1.13.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.1.

 -- Oliver Sauder <os@esite.ch>  Fri, 05 Aug 2022 16:14:12 +0200
