=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: diodon
 Section: utils
 Priority: optional
-Maintainer: Oliver Sauder <os@esite.ch>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Oliver Sauder <os@esite.ch>
 Build-Depends: debhelper-compat (= 12),
                desktop-file-utils,
                gobject-introspection,
@@ -15,7 +16,7 @@
                valac (>= 0.40.0),
                xauth,
                xvfb
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://launchpad.net/diodon
 Vcs-Git: https://git.launchpad.net/~diodon-team/+git/debian-packaging
 Vcs-Browser: https://git.launchpad.net/~diodon-team/+git/debian-packaging
