=== debian/rules ===
--- 
+++ 
@@ -5,4 +5,4 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed
 
 %:
-	dh $@ --buildsystem=meson
+	dh $@ --buildsystem=meson --with gir
